Package org.apache.felix.http.base.internal.service

## Class SharedHttpServiceImpl

- java.lang.Object
- - org.apache.felix.http.base.internal.service.SharedHttpServiceImpl

    public final class SharedHttpServiceImpl
    extends Object

### Constructor Summary

Constructors
`SharedHttpServiceImpl​(HandlerRegistry handlerRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerRegistry` `getHandlerRegistry()`
`void` `registerServlet​(@NotNull String alias, @NotNull ExtServletContext httpContext, @NotNull javax.servlet.Servlet servlet, @NotNull ServletInfo servletInfo)` Register a servlet
`javax.servlet.Servlet` `unregister​(String alias)`
`void` `unregisterServlet​(javax.servlet.Servlet servlet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedHttpServiceImpl

    public SharedHttpServiceImpl​(HandlerRegistry handlerRegistry)

### Method Detail

#### registerServlet

    public void registerServlet​(@NotNull
                                @NotNull String alias,
                                @NotNull
                                @NotNull ExtServletContext httpContext,
                                @NotNull
                                @NotNull javax.servlet.Servlet servlet,
                                @NotNull
                                @NotNull ServletInfo servletInfo)
                         throws javax.servlet.ServletException,
                                org.osgi.service.http.NamespaceException

Register a servlet

Throws:
  `javax.servlet.ServletException`
  `org.osgi.service.http.NamespaceException`

#### unregister

    public javax.servlet.Servlet unregister​(String alias)

See Also:
  `HttpService.unregister(java.lang.String)`

#### unregisterServlet

    public void unregisterServlet​(javax.servlet.Servlet servlet)

#### getHandlerRegistry

    public HandlerRegistry getHandlerRegistry()